import 'package:flutter/material.dart';
import 'package:wyatt_component_copy_with_extension/wyatt_component_copy_with_extension.dart';
import 'package:wyatt_ui_components/wyatt_ui_components.dart';

part 'custom_loading_widget.g.dart';

@ComponentCopyWithExtension()
class CustomLoadingWidget extends LoaderComponent
    with $CustomLoadingWidgetCWMixin {
  const CustomLoadingWidget({super.key, super.colors});

  @override
  Widget build(BuildContext context) => Center(
        child: CircularProgressIndicator(
          color: (colors?.isColor ?? false) ? colors!.color : Colors.blue,
        ),
      );
}
